#{extends 'border.html'/}
<div class="container-fluid">
	
	<div class="row">
		<div class="col-md-2">
			#{include 'pl/filter-peserta.html'/}
		</div>
		
		<div class="col-md-10">
			<h4>&{'daftar_peserta.label'}</h4>
			<div class="panel panel-default">
				<div class="panel-body" style="overflow-x: auto">
					<!-- Data Table -->
					<table class="table table-striped" id="tblPeserta">
						<thead>
							<tr>
								<th>&{'nomor.label'}</th>
								<th>&{'nama.label'}</th>
								<th>&{'status.label'}</th>
								<th></th>
							</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>

</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
        $("#tblPeserta").dataTable({
			"searching": false,
            ajax: {
                url:"@{admin.usulan.UsulanDataTable.cariPesertaByUsulan()}",
                cache: true,
				method: "POST",
				data: function (d) {
                    d.keyword = $('#keyword').val();
                    d.status = $('#status').val();
                    d.commodity = $('#commodity').val();
				}
			},
            order: [[ 1, "asc" ]],
            columns: [
                {"searchable": false, "className": "header-center",
                    render: function(data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    }
				},
                {"searchable": true},
                {"searchable": false, "className": "header-center"},
                {"searchable": false, "orderable":false, "className": "header-center"}
            ]
        });

        $('.search-peserta').click(function () {
			$("#tblPeserta").DataTable().order(JSON.parse($('#order').val())).draw();
            // $("#tblPeserta").DataTable().ajax.reload();
        });

		$('#keyword').keypress(function(event){ 
			var keycode = event.keyCode || event.which;
			if(keycode == '13') {
				$('.search-peserta').click();
				return false;
			}
			return;
		});
    });
</script>
#{/set}